/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import os from 'os';
interface OSInfo {
    arch: string;
    constants: {
        errno: Record<string, number>;
        priority: Record<string, number>;
        signals: Record<string, number>;
        UV_UDP_REUSEADDR: number;
    };
    cpus: os.CpuInfo[];
    endianness: 'BE' | 'LE';
    EOL: string;
    freemem: number;
    getPriority: number;
    homedir: string;
    hostname: string;
    loadavg: number[];
    networkInterfaces: Record<string, os.NetworkInterfaceInfo[]>;
    platform: NodeJS.Platform;
    release: string;
    tmpdir: string;
    totalmem: number;
    type: string;
    uptime: number;
    userInfo: os.UserInfo<string>;
}
export declare function getOsInfo(): OSInfo;
export declare const isDarwin: () => boolean;
export declare const isLinux: () => boolean;
export declare const isWin32: () => boolean;
export declare const isX64: () => boolean;
export declare const isARM: () => boolean;
export declare const isIA32: () => boolean;
export { isDarwin as isMacOS, isWin32 as isWin, isWin32 as isWindows };
