import os from 'os';
import process from 'process';
const platform = os.platform();
export function getOsInfo() {
    return Object.entries(os)
        .sort(([keyA], [keyB]) => keyA.localeCompare(keyB))
        .reduce((map, [key, value]) => {
        if (typeof value === 'function') {
            if (key.startsWith('set')) {
                return map;
            }
            // eslint-disable-next-line
            map[key] = value();
        }
        else {
            map[key] = JSON.parse(JSON.stringify(value));
        }
        return map;
    }, {});
}
export const isDarwin = () => platform === 'darwin';
export const isLinux = () => platform === 'linux';
export const isWin32 = () => platform === 'win32';
export const isX64 = () => process.arch === 'x64';
export const isARM = () => process.arch === 'arm';
export const isIA32 = () => process.arch === 'ia32';
export { isDarwin as isMacOS, isWin32 as isWin, isWin32 as isWindows };
